package {
	import de.johannesluderschmidt.controller.TouchEventsManager;
	import de.johannesluderschmidt.demoObjects.MovableSquare;
	import de.johannesluderschmidt.event.BringToFrontEvent;
	import de.johannesluderschmidt.util.Flickr;
	
	import flash.display.DisplayObject;
	import flash.display.Sprite;
	
	import tuio.TUIO;
	import tuio.TouchEvent;

	[SWF(width="1280", height="720", backgroundColor="#000000", frameRate="30")]
	public class FlickrPhotoApp extends Sprite
	{
		private var square:Sprite;
		
		private var squareTapped:Boolean;
		private var squareDownX:Number;
		private var squareDownY:Number;

		public function FlickrPhotoApp(){
			TUIO.init(this, 'localhost', 3000, '', true );
			
			var bg:Sprite = new Sprite();
			
			bg.graphics.beginFill(0x00FFFF, 0);
			bg.graphics.drawRect(0, 0, 1280, 720);
			bg.graphics.endFill();
			
			addChild(bg);
			
			bg.addEventListener(TouchEvent.MOUSE_UP, touchUp);
			bg.addEventListener(TouchEvent.MOUSE_DOWN, touchDown);
			
//			for(var i:Number = 0; i < 10; i++){
//				var movableSquare:MovableSquare = new MovableSquare(0x000000+0x22*i);
//				movableSquare.x=200;
//				movableSquare.y=200;
//				movableSquare.rotation = i*-36;
//				addChild(movableSquare);				
//			}
			addEventListener(BringToFrontEvent.DO, bringToFront);
			
//			var subobj:Sprite = new Sprite();
//			this.addChild(subobj);
			
			var flickrLoader:Flickr = new Flickr(this,100);
			flickrLoader.fetch("72157606319650635");
		}
		
		private function bringToFront(event:BringToFrontEvent):void{
			swapChildren(event.toFrontObject as DisplayObject,getChildAt(numChildren-1));
		}
		private function touchDown (e : TouchEvent) : void
		{
			TouchEventsManager.getInstance().endActiveEvent(e);
		}

		private function touchUp (e : TouchEvent) : void
		{
			TouchEventsManager.getInstance().endActiveEvent(e);
		}
	}
}
